StocksAndFisheriesKB - Task #16439

Update Records containing special Characters
Apr 03, 2019 11:37 AM - Yannis Marketakis

Status: Closed Start date: Apr 06, 2064
Priority: Normal Due date: Apr 09, 2064
Assignee: Yannis Marketakis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF
Description
According to #12421#note-12 we have to update records that contain the following:
Country names

e Cote d'lvoire

e S&do0 Tomé e Principe

e Sénégal
Coordinates

® (21°N-16°N)

® (26°N - 21°N)

e (32°N-26°N)

¢ (northern stock 35°45"-32°N)

¢ (26°N - southern limit of species distribution)

e South 29°N
Related issues:
Precedes StocksAndFisheriesKB - Task #16441: Update all Records in GRSF (Admi... Closed Apr 10, 2064

History

#1 - Apr 03, 2019 11:38 AM - Yannis Marketakis
The following should be updated:
e 39 records from FIRMS

e 197 records from GRSF ADMIN
e 16 records from GRSF Public

#2 - Apr 03, 2019 12:04 PM - Yannis Marketakis

- Status changed from New to In Progress

In this task, we'll update the corresponding records from FIRMS.

After that we will update all the records in GRSF (instead of the particular ones) (this is elaborated in #16441)

#3 - Apr 03, 2019 12:04 PM - Yannis Marketakis
- Follows Task #16441: Update all Records in GRSF (Admin and Public VREs) added

#4 - Apr 03, 2019 12:05 PM - Yannis Marketakis
- Follows deleted (Task #16441: Update all Records in GRSF (Admin and Public VREs))

#5 - Apr 03, 2019 12:05 PM - Yannis Marketakis
- Precedes Task #16441: Update all Records in GRSF (Admin and Public VREs) added

#6 - Apr 03, 2019 12:22 PM - Yannis Marketakis
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

FIRMS records have been updated in GRSF Admin VRE.
https://redmine.dev.d4science.org/issues/12421#note-12
https://redmine.dev.d4science.org/issues/16441

#7 - Apr 05, 2019 11:30 AM - Aureliano Gentile

- Status changed from Closed to In Progress

| am sorry, by chance | found this other cases https://ckan-grsf-admin2.d4science.org/dataset/30208061-e58e-3b5b-ad74-501cd683a520 OR
http://data.d4science.org/ctlg/GRSF_Admin/1b952aa0-4d66-35ce-abd0-12e50ec54092

several records contain:

Management Body/Authority(ies) Code: authority:NAT:IDN, System: grsf-org, Name: Ministrya€« of Marine Affairs and Fisheries of the Republic of
Indonesia

#8 - Apr 05, 2019 02:28 PM - Yannis Marketakis
- % Done changed from 100 to 80

For some strange reason this issue comes from the GRSF KB (the data are erroneous in the KB).
The actions to proceed are:

1. 1 will update the management entity in the GRSF KB
2. 1 will update the records accordingly
3. | will check GRSF KB for other (similar) issues

#9 - Apr 08, 2019 01:58 PM - Yannis Marketakis
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

The issue has been resolved and the corresponding records have been updated

#10 - Apr 08, 2019 02:35 PM - Aureliano Gentile

with many thanks, look fine.

For the record | put here this comment for @merul.patel@sustainablefish.org where the area code contains also text which might be better to have
only as label:

1. https://ckan-grsf-admin2.d4science.org/dataset/30208061-e58e-3b5b-ad74-501cd683a520
2. http://data.d4science.org/ctlg/GRSF_Admin/1b952aa0-4d66-35ce-abd0-12e50ec54092

semantic identifiers:

1. GRSF Semantic identifier: asfis:SNA+ other:INDONESIAN WPP-RI 713 (MAKASSAR STRAIT, BONE BAY, FLORES SEA AND BALI SEA)
+authority:NAT:IDN+iso3:IDN+isscfg:07.2

2. GRSF Semantic identifier: asfis:SNA+ other:INDONESIAN WPP-RI 713 (MAKASSAR STRAIT, BONE BAY, FLORES SEA AND BALI SEA)
+authority:NAT:IDN+iso3:IDN+isscfg:07.9

#11 - Apr 08, 2019 03:09 PM - Merul Patel
Comment for @aureliano.gentile@fao.org
WRT the excessive text for the Management entity in the semantic identifiers above, this seems more of an issue for how we store fishing area

information in the identifier. The same problem would clearly arise for resources that cover multiple FAO sub areas. | still feel that a register of areas
is needed.
